# Trinity
(This is a project from ~2021)

A Qt5 QML Matrix client, which supports end-to-end encryption (WIP) and has a Discord-like interface.

![Screenshot](misc/screenshot.png)

## Features
* Basic messaging capabilities
  * Sending and recieving markdown messages, formatting can be disabled
  * Typing notifications
* End-to-end encryption (WIP)
* Community support
* Per-room notification settings
* Listing and joining public rooms
  * Inviting other members and accepting other people's invites
* Start direct chats with other members
* Custom emote support

## Installation

I'm not providing any pre-built binaries yet, so you must compile from source.

If you use Arch Linux, I maintain the [AUR package](https://aur.archlinux.org/packages/trinity-matrix-git).

## Building

Building Trinity is very easy, simply call CMake. Please make sure all the dependencies below are met.

### Dependencies
* Qt5
  * WebEngine is also required
* CMark
* libolm
